# Generated by Django 3.1.2 on 2020-11-10 04:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id_categoria', models.IntegerField(primary_key=True, serialize=False)),
                ('nom_categoria', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id_usuario', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
                ('nick', models.CharField(max_length=16)),
                ('fecha_nac', models.DateField()),
                ('biografia', models.CharField(blank=True, max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id_post', models.IntegerField(primary_key=True, serialize=False)),
                ('fecha_post', models.DateField()),
                ('titulo', models.CharField(max_length=10)),
                ('imagen', models.ImageField(upload_to='posts')),
                ('nombre_img', models.CharField(max_length=20)),
                ('Categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='posting.categoria')),
                ('Usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='posting.usuario')),
            ],
        ),
        migrations.CreateModel(
            name='Comentario',
            fields=[
                ('id_comentario', models.IntegerField(primary_key=True, serialize=False)),
                ('comentario', models.CharField(max_length=200)),
                ('fecha_comentario', models.DateField()),
                ('Usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='posting.usuario')),
            ],
        ),
    ]
